> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk update broker funder policies

> Create or update broker funder policies for the current user



## OpenAPI

````yaml https://app.herondata.io/swagger patch /api/broker_funder_policies/
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/broker_funder_policies/:
    patch:
      summary: Bulk update broker funder policies
      description: Create or update broker funder policies for the current user
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkUpdateBrokerFunderPoliciesSchema'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/BrokerFunderPolicy'
                type: array
          description: Broker funder policies updated successfully
        '404':
          description: One or more funders not found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    BulkUpdateBrokerFunderPoliciesSchema:
      additionalProperties: false
      properties:
        policies:
          items:
            $ref: '#/components/schemas/BrokerFunderPolicyUpdateItem'
          type: array
      required:
        - policies
      type: object
    BrokerFunderPolicy:
      additionalProperties: false
      properties:
        created:
          format: date-time
          readOnly: true
          type: string
        funder:
          allOf:
            - $ref: '#/components/schemas/BrokerFunderPolicyFunder'
          readOnly: true
        last_updated:
          format: date-time
          readOnly: true
          type: string
        matching_priority:
          nullable: true
          readOnly: true
          type: integer
        policy:
          additionalProperties: {}
          nullable: true
          readOnly: true
          type: object
      type: object
    BrokerFunderPolicyUpdateItem:
      additionalProperties: false
      properties:
        funder_heron_id:
          type: string
        matching_priority:
          nullable: true
          type: integer
        policy:
          additionalProperties: {}
          nullable: true
          type: object
      required:
        - funder_heron_id
      type: object
    BrokerFunderPolicyFunder:
      additionalProperties: false
      properties:
        heron_id:
          readOnly: true
          type: string
        logo_url:
          nullable: true
          readOnly: true
          type: string
        name:
          readOnly: true
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````